diff --git a/kimap/getquotajob.h b/kimap/getquotajob.h
index 01231ea..698450a 100644
--- a/kimap/getquotajob.h
+++ b/kimap/getquotajob.h
@@ -50,7 +50,7 @@ class GetQuotaJobPrivate;
 class KIMAP_EXPORT GetQuotaJob : public QuotaJobBase
 {
   Q_OBJECT
-  Q_DECLARE_PRIVATE(GetQuotaJob)
+  Q_DECLARE_PRIVATE( GetQuotaJob )
 
   friend class SessionPrivate;
 
@@ -60,7 +60,7 @@ class KIMAP_EXPORT GetQuotaJob : public QuotaJobBase
 
     /**
      * Set the quota root to get the resource limits for.
-     *
+     * @param root the quota root to set
      * @see GetQuotaRootJob
      */
     void setRoot(const QByteArray &root);
diff --git a/kimap/getquotarootjob.cpp b/kimap/getquotarootjob.cpp
index ee438a3..49e7bef 100644
--- a/kimap/getquotarootjob.cpp
+++ b/kimap/getquotarootjob.cpp
@@ -19,8 +19,8 @@
 
 #include "getquotarootjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "quotajobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class GetQuotaRootJobPrivate : public QuotaJobBasePrivate
   {
     public:
-      GetQuotaRootJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate(session, name) { }
+      GetQuotaRootJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate( session, name ) { }
       ~GetQuotaRootJobPrivate() { }
 
       QString mailBox;
@@ -44,7 +44,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 GetQuotaRootJob::GetQuotaRootJob( Session *session )
-  : QuotaJobBase( *new GetQuotaRootJobPrivate(session, i18n("GetQuotaRoot")) )
+  : QuotaJobBase( *new GetQuotaRootJobPrivate( session, i18n( "GetQuotaRoot" ) ) )
 {
 }
 
@@ -54,43 +54,41 @@ GetQuotaRootJob::~GetQuotaRootJob()
 
 void GetQuotaRootJob::doStart()
 {
-  Q_D(GetQuotaRootJob);
-  d->tags << d->sessionInternal()->sendCommand( "GETQUOTAROOT", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"');
+  Q_D( GetQuotaRootJob );
+  d->tags << d->sessionInternal()->sendCommand( "GETQUOTAROOT", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void GetQuotaRootJob::handleResponse(const Message &response)
 {
-  Q_D(GetQuotaRootJob);
-  if (handleErrorReplies(response) == NotHandled) {
+  Q_D( GetQuotaRootJob );
+  if ( handleErrorReplies( response ) == NotHandled ) {
     if ( response.content.size() >= 3 ) {
-      if (response.content[1].toString() == "QUOTAROOT" ) {
+      if ( response.content[1].toString() == "QUOTAROOT"  ) {
         d->rootList.clear();
         //some impls don't give the root a name which for us seems as if
         //there were no message part
         if ( response.content.size() == 3 ) {
-          d->rootList.append("");
+          d->rootList.append( "" );
         } else {
           int i = 3;
-          while ( i < response.content.size())
-          {
-            d->rootList.append(response.content[i].toString());
+          while ( i < response.content.size() ) {
+            d->rootList.append( response.content[i].toString() );
             i++;
           }
         }
-      } else
-      if (response.content[1].toString() == "QUOTA" ) {
+      } else if ( response.content[1].toString() == "QUOTA"  ) {
         QByteArray rootName;
         int  quotaContentIndex = 3;
         //some impls don't give the root a name in the response
-        if (response.content.size() == 3 ) {
+        if ( response.content.size() == 3  ) {
           quotaContentIndex = 2;
         } else {
           rootName = response.content[2].toString();
-        }       
+        }
 
         const QMap<QByteArray, QPair<qint64, qint64> >& quota = d->readQuota(response.content[quotaContentIndex]);
-        if (d->quotas.contains(rootName)) {
-          d->quotas[ rootName ].unite(quota);
+        if ( d->quotas.contains( rootName ) ) {
+          d->quotas[ rootName ].unite( quota );
         } else {
           d->quotas[ rootName ] = quota;
         }
@@ -99,61 +97,54 @@ void GetQuotaRootJob::handleResponse(const Message &response)
   }
 }
 
-
 void GetQuotaRootJob::setMailBox(const QString& mailBox)
 {
-  Q_D(GetQuotaRootJob);
-
+  Q_D( GetQuotaRootJob );
   d->mailBox = mailBox;
 }
 
 QString GetQuotaRootJob::mailBox() const
 {
-  Q_D(const GetQuotaRootJob);
-
+  Q_D( const GetQuotaRootJob );
   return d->mailBox;
 }
 
 QList<QByteArray> GetQuotaRootJob::roots() const
 {
-  Q_D(const GetQuotaRootJob);
-
+  Q_D( const GetQuotaRootJob );
   return d->rootList;
 }
 
 qint64 GetQuotaRootJob::usage(const QByteArray &root, const QByteArray &resource) const
 {
-  Q_D(const GetQuotaRootJob);
-
+  Q_D( const GetQuotaRootJob );
   QByteArray r = resource.toUpper();
 
-  if (d->quotas.contains(root) && d->quotas[root].contains(r)) {
+  if ( d->quotas.contains( root ) && d->quotas[root].contains( r ) ) {
     return d->quotas[root][r].first;
   }
-
   return -1;
 }
 
 qint64 GetQuotaRootJob::limit(const QByteArray &root, const QByteArray &resource) const
 {
-  Q_D(const GetQuotaRootJob);
+  Q_D( const GetQuotaRootJob );
 
   QByteArray r = resource.toUpper();
 
-  if (d->quotas.contains(root) && d->quotas[root].contains(r)) {
+  if ( d->quotas.contains( root ) && d->quotas[root].contains( r ) ) {
     return d->quotas[root][r].second;
   }
-
   return -1;
 }
 
 QMap<QByteArray, qint64> GetQuotaRootJob::allUsages(const QByteArray &root) const
 {
-  Q_D(const GetQuotaRootJob);
+  Q_D( const GetQuotaRootJob );
 
   QMap<QByteArray, qint64> result;
 
-  if (d->quotas.contains(root)) {
+  if ( d->quotas.contains( root ) ) {
     const QMap< QByteArray, QPair<qint64, qint64> > quota = d->quotas[root];
     QMapIterator<QByteArray, QPair<qint64, qint64> > it( quota );
     while ( it.hasNext() ) {
@@ -161,17 +152,16 @@ QMap<QByteArray, qint64> GetQuotaRootJob::allUsages(const QByteArray &root) cons
       result[it.key()] = it.value().first;
     }
   }
-
   return result;
 }
 
 QMap<QByteArray, qint64> GetQuotaRootJob::allLimits(const QByteArray &root) const
 {
-  Q_D(const GetQuotaRootJob);
+  Q_D( const GetQuotaRootJob );
 
   QMap<QByteArray, qint64> result;
 
-  if (d->quotas.contains(root)) {
+  if ( d->quotas.contains( root ) ) {
     const QMap< QByteArray, QPair<qint64, qint64> > quota = d->quotas[root];
     QMapIterator<QByteArray, QPair<qint64, qint64> > it( quota );
     while ( it.hasNext() ) {
@@ -179,8 +169,8 @@ QMap<QByteArray, qint64> GetQuotaRootJob::allLimits(const QByteArray &root) cons
       result[it.key()] = it.value().second;
     }
   }
-
   return result;
 }
 
 #include "getquotarootjob.moc"
+
diff --git a/kimap/idlejob.cpp b/kimap/idlejob.cpp
index 0248697..5f75429 100644
--- a/kimap/idlejob.cpp
+++ b/kimap/idlejob.cpp
@@ -20,7 +20,7 @@
 #include "idlejob.h"
 
 #include <QtCore/QTimer>
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   {
     public:
       IdleJobPrivate( IdleJob *job, Session *session, const QString& name )
-        : JobPrivate( session, name ), q(job),
+        : JobPrivate( session, name ), q( job ),
           messageCount( -1 ), recentCount( -1 ),
           lastMessageCount( -1 ), lastRecentCount( -1 ),
           originalSocketTimeout( -1 ) { }
@@ -42,8 +42,8 @@ namespace KIMAP
       {
         emitStatsTimer.stop();
 
-        emit q->mailBoxStats(q, m_session->selectedMailBox(),
-                             messageCount, recentCount);
+        emit q->mailBoxStats( q, m_session->selectedMailBox(),
+                              messageCount, recentCount );
 
         lastMessageCount = messageCount;
         lastRecentCount = recentCount;
@@ -69,9 +69,9 @@ namespace KIMAP
 using namespace KIMAP;
 
 IdleJob::IdleJob( Session *session )
-  : Job( *new IdleJobPrivate(this, session, i18nc("name of the idle job", "Idle")) )
+  : Job( *new IdleJobPrivate( this, session, i18nc( "name of the idle job", "Idle" ) ) )
 {
-  Q_D(IdleJob);
+  Q_D( IdleJob );
   connect( &d->emitStatsTimer, SIGNAL(timeout()),
            this, SLOT(emitStats()) );
 }
@@ -82,14 +82,14 @@ IdleJob::~IdleJob()
 
 void KIMAP::IdleJob::stop()
 {
-  Q_D(IdleJob);
+  Q_D( IdleJob );
   d->sessionInternal()->setSocketTimeout( d->originalSocketTimeout );
   d->sessionInternal()->sendData( "DONE" );
 }
 
 void IdleJob::doStart()
 {
-  Q_D(IdleJob);
+  Q_D( IdleJob );
   d->originalSocketTimeout = d->sessionInternal()->socketTimeout();
   d->sessionInternal()->setSocketTimeout( -1 );
   d->tags << d->sessionInternal()->sendCommand( "IDLE" );
@@ -97,33 +97,32 @@ void IdleJob::doStart()
 
 void IdleJob::handleResponse( const Message &response )
 {
-  Q_D(IdleJob);
+  Q_D( IdleJob );
 
   // We can predict it'll be handled by handleErrorReplies() so emit
   // pending signals now (if needed) so that result() will really be
   // the last emitted signal.
-  if ( !response.content.isEmpty()
-       && d->tags.size() == 1
-       && d->tags.contains( response.content.first().toString() )
-       && ( d->messageCount>=0 || d->recentCount>=0 ) ) {
+  if ( !response.content.isEmpty() &&
+       d->tags.size() == 1 &&
+       d->tags.contains( response.content.first().toString() ) &&
+       ( d->messageCount >= 0 || d->recentCount >= 0 ) ) {
     d->emitStats();
   }
 
-
-  if (handleErrorReplies(response) == NotHandled ) {
-    if ( response.content.size() > 0 && response.content[0].toString()=="+" ) {
+  if ( handleErrorReplies( response ) == NotHandled  ) {
+    if ( response.content.size() > 0 && response.content[0].toString() == "+" ) {
       // Got the continuation all is fine
       return;
 
     } else if ( response.content.size() > 2 ) {
-        if ( response.content[2].toString()=="EXISTS" ) {
-        if ( d->messageCount>=0 ) {
+        if ( response.content[2].toString() == "EXISTS" ) {
+        if ( d->messageCount >= 0 ) {
           d->emitStats();
         }
 
         d->messageCount = response.content[1].toString().toInt();
-      } else if ( response.content[2].toString()=="RECENT" ) {
-        if ( d->recentCount>=0 ) {
+      } else if ( response.content[2].toString() == "RECENT" ) {
+        if ( d->recentCount >= 0 ) {
           d->emitStats();
         }
 
@@ -141,20 +140,21 @@ void IdleJob::handleResponse( const Message &response )
 
 QString KIMAP::IdleJob::lastMailBox() const
 {
-  Q_D(const IdleJob);
+  Q_D( const IdleJob );
   return d->m_session->selectedMailBox();
 }
 
 int KIMAP::IdleJob::lastMessageCount() const
 {
-  Q_D(const IdleJob);
+  Q_D( const IdleJob );
   return d->lastMessageCount;
 }
 
 int KIMAP::IdleJob::lastRecentCount() const
 {
-  Q_D(const IdleJob);
+  Q_D( const IdleJob );
   return d->lastRecentCount;
 }
 
 #include "idlejob.moc"
+
diff --git a/kimap/imapset.cpp b/kimap/imapset.cpp
index 8588452..6c4e9ea 100644
--- a/kimap/imapset.cpp
+++ b/kimap/imapset.cpp
@@ -56,7 +56,6 @@ class ImapSet::Private : public QSharedData
     ImapInterval::List intervals;
 };
 
-
 ImapInterval::ImapInterval() :
     d( new Private )
 {
@@ -80,8 +79,9 @@ ImapInterval::~ ImapInterval()
 
 ImapInterval& ImapInterval::operator =(const ImapInterval & other)
 {
-  if ( this != & other )
+  if ( this != &other ) {
     d = other.d;
+  }
   return *this;
 }
 
@@ -92,10 +92,12 @@ bool ImapInterval::operator ==(const ImapInterval & other) const
 
 ImapInterval::Id ImapInterval::size() const
 {
-  if ( !d->begin && !d->end )
+  if ( !d->begin && !d->end ) {
     return 0;
-  if ( d->begin && !d->end )
+  }
+  if ( d->begin && !d->end ) {
     return Q_INT64_C( 0x7FFFFFFFFFFFFFFF ) - d->begin + 1;
+  }
   return d->end - d->begin + 1;
 }
 
@@ -116,8 +118,9 @@ bool ImapInterval::hasDefinedEnd() const
 
 ImapInterval::Id ImapInterval::end() const
 {
-  if ( hasDefinedEnd() )
+  if ( hasDefinedEnd() ) {
     return d->end;
+  }
   return 0xFFFFFFFF; // should be INT_MAX, but where is that defined again?
 }
 
@@ -137,16 +140,19 @@ void ImapInterval::setEnd(Id value)
 
 QByteArray ImapInterval::toImapSequence() const
 {
-  if ( size() == 0 )
+  if ( size() == 0 ) {
     return QByteArray();
-  if ( size() == 1 )
+  }
+  if ( size() == 1 ) {
     return QByteArray::number( d->begin );
+  }
   QByteArray rv;
   rv += QByteArray::number( d->begin ) + ':';
-  if ( hasDefinedEnd() )
+  if ( hasDefinedEnd() ) {
     rv += QByteArray::number( d->end );
-  else
+  } else {
     rv += '*';
+  }
   return rv;
 }
 
@@ -158,7 +164,7 @@ ImapInterval ImapInterval::fromImapSequence( const QByteArray &sequence )
   }
 
   bool ok = false;
-  Id begin = values[0].toLongLong(&ok);
+  Id begin = values[0].toLongLong( &ok );
 
   if ( !ok ) {
     return ImapInterval();
@@ -172,7 +178,7 @@ ImapInterval ImapInterval::fromImapSequence( const QByteArray &sequence )
     end = 0;
   } else {
     ok = false;
-    end = values[1].toLongLong(&ok);
+    end = values[1].toLongLong( &ok );
     if ( !ok ) {
       return ImapInterval();
     }
@@ -209,8 +215,9 @@ ImapSet::~ImapSet()
 
 ImapSet & ImapSet::operator =(const ImapSet & other)
 {
-  if ( this != &other )
+  if ( this != &other ) {
     d = other.d;
+  }
   return *this;
 }
 
@@ -238,7 +245,7 @@ void ImapSet::add(const QList<Id> & values)
 {
   QList<Id> vals = values;
   qSort( vals );
-  for( int i = 0; i < vals.count(); ++i ) {
+  for ( int i = 0; i < vals.count(); ++i ) {
     const int begin = vals[i];
     Q_ASSERT( begin >= 0 );
     if ( i == vals.count() - 1 ) {
@@ -248,7 +255,7 @@ void ImapSet::add(const QList<Id> & values)
     do {
       ++i;
       Q_ASSERT( vals[i] >= 0 );
-      if ( vals[i] != (vals[i - 1] + 1) ) {
+      if ( vals[i] != ( vals[i - 1] + 1 ) ) {
         --i;
         break;
       }
@@ -276,7 +283,7 @@ QByteArray ImapSet::toImapSequenceSet() const
     QList<QByteArray>::ConstIterator it = rv.constBegin();
     ++it;
     for ( ; it != rv.constEnd(); ++it ) {
-      result += ',' + (*it);
+      result += ',' + ( *it );
     }
   }
 
@@ -289,7 +296,7 @@ ImapSet ImapSet::fromImapSequenceSet( const QByteArray &sequence )
 
   QList<QByteArray> intervals = sequence.split( ',' );
 
-  foreach( const QByteArray &interval, intervals ) {
+  foreach ( const QByteArray &interval, intervals ) {
     if ( !interval.isEmpty() ) {
       result.add( ImapInterval::fromImapSequence( interval ) );
     }
@@ -319,4 +326,3 @@ QDebug& operator<<( QDebug &d, const ImapSet &set )
   d << set.toImapSequenceSet();
   return d;
 }
-
diff --git a/kimap/imapset.h b/kimap/imapset.h
index a3417ac..a217251 100644
--- a/kimap/imapset.h
+++ b/kimap/imapset.h
@@ -199,6 +199,7 @@ class KIMAP_EXPORT ImapSet
     /**
       Adds the given ImapInterval to this set.
       No interval merging is performed.
+      @param interval the interval to add
     */
     void add( const ImapInterval &interval );
 
